Name:           dans-gdal-scripts
Version:        0.23
Release:        5%{?dist}
Summary:        Utilities for use in conjunction with GDAL

Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/gina-alaska/dans-gdal-scripts
Source0:        https://github.com/gina-alaska/dans-gdal-scripts/archive/v%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  gdal-devel
BuildRequires:  proj-devel

# Tests are using
BuildRequires:  netpbm-progs

%description
Dan Stahlke's GDAL contributed tools are a collection of
useful programs to perform common raster operations.


%prep
%setup -q 
./autogen.sh
%configure


%build
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%check
pushd src/tests
./test1.sh
./test2.sh
./test3.sh
# TIFFReadDirectory warnings are harmless, according to the author


%files
%doc LICENSE README.md ChangeLog TODO
%{_bindir}/gdal_*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.23-3
- Rebuild for boost 1.55.0

* Tue Aug 27 2013 Orion Poplawski <orion@cora.nwra.com> - 0.23-2
- Rebuild for gdal 1.10.0

* Sat Aug 03 2013 Volker Fröhlich <volker27@gmx.at> - 0.23-1
- New upstream release
- Remove -Werr patch (solved)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-0.4.20130522git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.21-0.3.20130522git
- Rebuild for boost 1.54.0

* Mon Jun 10 2013 Volker Fröhlich <volker27@gmx.at> - 0.21-0.2.20130522git
- Make the werror patch apply

* Tue May 21 2013 Volker Fröhlich <volker27@gmx.at> - 0.21-0.1.20130522git
- Initial package for Fedora
